/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.PerfConfigurationSettings;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record2;
import org.jooq.Row2;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class PerfConfigurationSettingsRecord extends UpdatableRecordImpl<PerfConfigurationSettingsRecord> implements Record2<Integer, Integer> {

    private static final long serialVersionUID = -2062794656;

    /**
     * Setter for <code>PERF_CONFIGURATION_SETTINGS.CONFIGURATION_ID</code>.
     */
    public void setConfigurationId(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>PERF_CONFIGURATION_SETTINGS.CONFIGURATION_ID</code>.
     */
    public Integer getConfigurationId() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>PERF_CONFIGURATION_SETTINGS.SETTINGS_ID</code>.
     */
    public void setSettingsId(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>PERF_CONFIGURATION_SETTINGS.SETTINGS_ID</code>.
     */
    public Integer getSettingsId() {
        return (Integer) get(1);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record2<Integer, Integer> key() {
        return (Record2) super.key();
    }

    // -------------------------------------------------------------------------
    // Record2 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row2<Integer, Integer> fieldsRow() {
        return (Row2) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row2<Integer, Integer> valuesRow() {
        return (Row2) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field1() {
        return PerfConfigurationSettings.PERF_CONFIGURATION_SETTINGS.CONFIGURATION_ID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field2() {
        return PerfConfigurationSettings.PERF_CONFIGURATION_SETTINGS.SETTINGS_ID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component1() {
        return getConfigurationId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component2() {
        return getSettingsId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value1() {
        return getConfigurationId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value2() {
        return getSettingsId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfConfigurationSettingsRecord value1(Integer value) {
        setConfigurationId(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfConfigurationSettingsRecord value2(Integer value) {
        setSettingsId(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PerfConfigurationSettingsRecord values(Integer value1, Integer value2) {
        value1(value1);
        value2(value2);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached PerfConfigurationSettingsRecord
     */
    public PerfConfigurationSettingsRecord() {
        super(PerfConfigurationSettings.PERF_CONFIGURATION_SETTINGS);
    }

    /**
     * Create a detached, initialised PerfConfigurationSettingsRecord
     */
    public PerfConfigurationSettingsRecord(Integer configurationId, Integer settingsId) {
        super(PerfConfigurationSettings.PERF_CONFIGURATION_SETTINGS);

        set(0, configurationId);
        set(1, settingsId);
    }
}
